#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)men_cgtppatch.pl 1.6 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

##################################################################################
#
#                               This is the main
#
##################################################################################

init_and_read_arg($0,
		  [ ROOT_DIR, PATCH_SUBDIR, PATCH_NUMBER, NODE_ROLE],
		  []) ;

if ($USE_CGTP eq "YES") {

  if ($RECOVERY ne "") {
    print_recovery_node("CGTP patch clean-up") ;
    remove_men_patch ($NODE_ID, $PATCH_NUMBER, "LOCAL") ;
  } else {
    print_stage_node("CGTP patch installation") ;
    install_men_patch ($NODE_ID, $ROOT_DIR, $PATCH_SUBDIR, $PATCH_NUMBER, "LOCAL");
  }
}

# That's all folk!
exit(0);
