#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)nmen_cgtppatch.pl 1.6 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

##################################################################################
#
#                               This is the main
#
##################################################################################
   
init_and_read_arg($0,
		  [ ROOT_DIR, PATCH_SUBDIR, PATCH_NUMBER, NODE_ROLE],
		  [ TARGET_OS ]);

if ($USE_CGTP eq "YES") {

  if ($RECOVERY ne "") {
    print_recovery_node("CGTP patch clean-up for diskless") ;
    remove_nmen_patch($NODE_ID, $PATCH_NUMBER, "DISKLESS") ;
    remove_nmen_patch($NODE_ID, $PATCH_NUMBER, "SOLARIS") ;
  } else {
    print_stage_node("CGTP patch installation for diskless") ;
    install_nmen_patch ($NODE_ID, $ROOT_DIR, $PATCH_SUBDIR, $PATCH_NUMBER, "SOLARIS");
    install_nmen_patch ($NODE_ID, $ROOT_DIR, $PATCH_SUBDIR, $PATCH_NUMBER, "DISKLESS");
  }

}

# That's all folk!
exit(0);







